Create an agent user
curl --request POST \
--url https://chatatp-agent-builder-backend.onrender.com/v1/agents/{agent_id}/users/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_user_id": "<string>",
"display_name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({external_user_id: '<string>', display_name: '<string>'})
};
fetch('https://chatatp-agent-builder-backend.onrender.com/v1/agents/{agent_id}/users/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://chatatp-agent-builder-backend.onrender.com/v1/agents/{agent_id}/users/"
payload = {
"external_user_id": "<string>",
"display_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Agent Users
Create an agent user
Create or upsert an end user on an agent
POST
/
v1
/
agents
/
{agent_id}
/
users
/
Create an agent user
curl --request POST \
--url https://chatatp-agent-builder-backend.onrender.com/v1/agents/{agent_id}/users/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_user_id": "<string>",
"display_name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({external_user_id: '<string>', display_name: '<string>'})
};
fetch('https://chatatp-agent-builder-backend.onrender.com/v1/agents/{agent_id}/users/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://chatatp-agent-builder-backend.onrender.com/v1/agents/{agent_id}/users/"
payload = {
"external_user_id": "<string>",
"display_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
